summaryrefslogtreecommitdiffstats
path: root/remoting/tools
diff options
context:
space:
mode:
authorlambroslambrou@google.com <lambroslambrou@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2012-02-08 23:57:23 +0000
committerlambroslambrou@google.com <lambroslambrou@google.com@0039d316-1c4b-4281-b951-d872f2087c98>2012-02-08 23:57:23 +0000
commita850452dd05b0bd1021c96220f0598e549c76233 (patch)
treea38ea07d51897009ef1bd6fa3e16bbcabc3190c7 /remoting/tools
parent145f40d8a31033d6f591af7edca970e19963f8ec (diff)
downloadchromium_src-a850452dd05b0bd1021c96220f0598e549c76233.zip
chromium_src-a850452dd05b0bd1021c96220f0598e549c76233.tar.gz
chromium_src-a850452dd05b0bd1021c96220f0598e549c76233.tar.bz2
Add script to build Me2Me tarball
BUG=None TEST=Run the new script Review URL: https://chromiumcodereview.appspot.com/9363031 git-svn-id: svn://svn.chromium.org/chrome/trunk/src@121092 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'remoting/tools')
-rwxr-xr-xremoting/tools/build_me2me_tarball.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/remoting/tools/build_me2me_tarball.sh b/remoting/tools/build_me2me_tarball.sh
new file mode 100755
index 0000000..0ec9299
--- /dev/null
+++ b/remoting/tools/build_me2me_tarball.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+# Copyright (c) 2012 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Build a tarball distribution of the Virtual Me2Me host for Linux.
+# This script should be run from the top-level "src" directory - the output
+# tarball will be created in the parent directory (to avoid accidentally
+# committing it if "git commit -a" is typed).
+# To do a clean build, remove the out/Release directory before running this
+# script.
+
+set -eu
+
+REVISION="$(git svn find-rev HEAD)"
+if [ -z "$REVISION" ]; then
+ echo "svn revision number not found"
+ REVISION_SUFFIX=""
+else
+ REVISION_SUFFIX="_r$REVISION"
+fi
+
+echo "Building..."
+make -j25 BUILDTYPE=Release remoting_host_keygen remoting_me2me_host
+
+FILES="\
+ remoting/tools/gaia_auth.py \
+ remoting/tools/keygen.py \
+ remoting/tools/me2me_virtual_host.py \
+ out/Release/remoting_host_keygen \
+ out/Release/remoting_me2me_host \
+"
+
+TEMP_DIR="$(mktemp -d)"
+trap 'rm -rf "$TEMP_DIR"' EXIT
+
+TARBALL_DIR="virtual_me2me"
+mkdir "$TEMP_DIR/$TARBALL_DIR"
+
+for file in $FILES; do
+ cp "$file" "$TEMP_DIR/$TARBALL_DIR"
+ strip "$TEMP_DIR/$TARBALL_DIR/$file" 2>/dev/null || true
+done
+
+TARBALL="../virtual_me2me$REVISION_SUFFIX.tgz"
+
+tar -zcf "$TARBALL" -C "$TEMP_DIR" "$TARBALL_DIR"
+
+echo "Tarball built: $TARBALL"